Subject: Re: bug#16762: Installed packages are not considered part of the archive contents

From: Stefan Monnier <[email-masked]>
Date: Fri, 21 Mar 2014 22:46:29 -0400

> AFAICS, the revision in question did the reverse: it made installed packages
> excluded from package-archive-contents (as long as the installed version is
> not obsolete). Here's the relevant part:

Indeed.  Not sure why I ended up doing it that way, but clearly that was
not by accident.

>> And in trunk feel free to try and change things so that those packages
>> are included in package-archive-contents.
> I think this change, might be more beneficial to apply in 24.4.

Yes, but as long as we don't know why this was done, it's too risky to
change it.  If/when we figure out what that was about and come up with
a way to fix the problem, we can judge whether that's appropriate for
24.4.

        Stefan